EDIT - task #5857

task # 4177 (Closed): display of name relationships in synonymy broken

show nomenclatural status for for representations of TaxonName
06/02/2016 10:31 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

the related name (name behind "non" does not yet show a status if a status exists). This is probably because it only shows the title
cache, not the full title cache. The status is part of the full title cache. Maybe we also need discussion with users, if the status is
wanted, before we spend time for implementation

TODO

1. Biscuss-with-users
2. show citation, rule considered, and citation detail in footnotes

(split off from #5697)

Related issues:

Related to EDIT - task #7890: Display of name relations in the data portal [m... New

Related to EDIT - feature request #8108: Name page shows complete name inform... Closed
Related to EDIT - feature request #8314: TaxonName provides the FullTitleCach... Closed
Related to EDIT - feature request #8319: NomenclaturalStatus webservice imple... Closed

Associated revisions

Revision a7560a18 - 05/29/2019 07:54 PM - Andreas Kohlbecker

fix #5857 implementing display of nomenclatural status data in name page, registration page
Revision 16211a64 - 05/31/2019 09:24 AM - Andreas Kohlbecker
ref #5857, ref #8319 adding TypedEntityRefernces to nom status TaggedText and fixing json serialization for EntitiyReferences in taxon.taggedTitle

processing

Revision 222784c5 - 05/31/2019 10:41 AM - Andreas Kohlbecker

ref #5857 showing show citation, rule considered, and citation of nomenclatural status in footnotes, adapting tests

History

#1-11/07/2018 11:35 AM - Andreas Kohlbecker
- Related to task #7890: Display of name relations in the data portal [master ticket] added

#2 - 11/07/2018 11:47 AM - Andreas Miiller
- Tags set to euro+med

- Description updated

also relevant for E+M, need to check how this is handled in BM E+M

#3 - 05/10/2019 12:26 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Euro+Med Portal Release

#4 - 05/20/2019 04:27 PM - Andreas Kohlbecker

- Private changed from Yes to No
#5 - 05/20/2019 04:27 PM - Andreas Kohlbecker
- Assignee changed from Andreas Miiller to Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Euro+Med Portal Release to Release 5.8

#6 - 05/20/2019 04:28 PM - Andreas Kohlbecker

- Tags changed from euro+med to euro+med, phycobank

#7 - 05/28/2019 05:31 PM - Andreas Kohlbecker

- Related to feature request #8108: Name page shows complete name information (I) added

#8 - 05/28/2019 05:31 PM - Andreas Kohlbecker
- Related to feature request #8314: TaxonName provides the FullTitleCache as TaggedText added

#9 - 05/29/2019 02:35 PM - Andreas Kohlbecker

- Subject changed from show status for "non" names? to show nomenclatural status for for representations of TaxonName

#10 - 05/29/2019 02:36 PM - Andreas Kohlbecker

no need to discuss this with the users. The display of the nom status can be configured via the "Name render templates"

#11 - 05/31/2019 09:12 AM - Andreas Kohlbecker

- Description updated

#12 - 05/31/2019 09:15 AM - Andreas Kohlbecker

- Related to feature request #8319: NomenclaturalStatus webservice implemented added

#13 - 05/31/2019 10:42 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|a7560a186de2e5673e04f4a1166ad1077eb7c7d5.

#14 - 05/31/2019 12:35 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

this has been solved completely, please review

#15 - 05/31/2019 01:43 PM - Wolf-Henning Kusber

- File picture502-1.png added

- Status changed from Resolved to Feedback

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 80

Review: The articles are shown, but for users the content migth be confusing.

How to read this?

Navicula adminii D.Roberts & A.McMinn in Biblioth. Diatomol. 44: 27. 1999 is validated by [Art. 8.2, Art. 9.5 Turland, N.J., Wiersema, J.H., Barrie, F.R.
& al., International Code of Nomenclature for algae, fungi, and plants (Shenzhen Code) adopted by the Nineteenth International Botanical Congress
Shenzhen, China, July 2017Regnum Vegetabile, 159] Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65:
1.12.6.2018 ["12 Jun 2018"]

This would be kompletely wrong.

is validated by1 Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65: 1. 12.6.2018

better:
1 is validated by Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65: 1. 12.6.2018

or:
Navicula adminii1 is validated by Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65: 1. 12.6.2018
PhycoBank ™ V<

Home
Search Navicula adminii D.Roberts & A.McMinn in Biblioth. Diatomol.
Filter v 44-27.1999

. Navicula adminii D_Roberts & A McMinn in Biblioth. Diatomol. 44: 27. 1999
Identifier

is validated b avicula adminensis D.Roberts & A.McMinn ex D.Roberts & A McMinn in Notulae Algarum 63 1. 12.6.2018
["12 Jun 2018"]
Scientific name

dmi . 1. At 8.2, Art. 9.5 Turland, M.J., Wiersema, J.H., Barrie, FR. & al., International Code of Momenclature for algae, fungi, and plants (Shenzhen
adminensis

Code) adopted by the Nineteenth International Botanical Congress Shenzhen, China, July 2017Regnum Vegetabile, 159

Type designation status

- none - -
orig. des. (=]
Tenenitune i

Taxa for this name:

Navicula admini D.Roberts & A McMinn in Biblioth. Diatomol. 44: 27. 1999

#16 - 05/31/2019 01:52 PM - Wolf-Henning Kusber
- File picture292-1.png added

The following output is perfect:

— Navicula adminii D.Roberts & A McMinn in Biblioth. Diatomol. 44: 27. 1999, nom. inval.3
Holotype: (UTGD Slide # 126887).
Isotype: Ace Lake, Vestfold Hills, Antarctica, 1992 (#126891).

J. Art. 9.4 McNeill, J_, Barrie, FR., Buck, W.R. & al_, International Code of Nomenclature for algae, fungi, and plants
{(Melbourne Code) adopted by the Eighteenth International Botanical Congress Melbourne, Australia, July 2011Regnum
Vetetabile, 154: 208. 2012

#17 - 05/31/2019 01:54 PM - Wolf-Henning Kusber
- File picture890-1.png added

The following output is fine:

Navicula adminensis D Roberts & A McMinn ex D Roberts & A McMinn in Notulae Algarum 65: 1.
12.6.2018 ["12 Jun 2018"]

Paratype (designated by van de Vijver, B. & Kusber, W.-H. 2018: ‘I-"): Ace Lake, Vestfold Hills,
Antarctica, 1992 (#126891).

Holotype (designated by Roberts, D. & McMinn, A. 1999 2?2): “Admin Lake” in the Vestfold Hills,
East Antarctica, 1992 (#126891).

1. van de Vijver, B. & Kusber, W.-H., Validation of Navicula adminensis D.Roberts & McMinn (*Navicula adminii* D.Roberts
& McMinn) (Naviculaceae, Bacillariophyceae) in Notulae Algarum 65: 1. 201 G . 2. Roberts, D. & McMinn, A, Diatoms of
the saline lakes of the Vestfold Hills, Antarctica. in Biblioth. Diatomol. 44: 1-63. 1999

#18 - 05/31/2019 06:01 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

so can we close this issue or are you still testing?

#19 - 05/31/2019 06:04 PM - Andreas Kohlbecker

sorry | missed, comment 15, will respond again later
#20 - 05/31/2019 06:05 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#21 - 05/31/2019 06:13 PM - Wolf-Henning Kusber

#15
is changed, but not in a proper way.
The articles are linked to the validating name. The articles refer to the reason why the invalid name is invalid (see above)

#22 - 05/31/2019 10:31 PM - Andreas Kohlbecker

- File picture437-1.png added

- File picture437-2.png added

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| don't quite understand the problem.

Navicula adminensis is validating Navicula adminii and this validation is done according to the rule "Art. 8.2" as published in "Turland, at al 2017"

If you are looking at this relation from the side of Navicula adminensis it looks like this:

Navicula adminensis D.Roberts & A.McMinn ex
D.Roberts & A.McMinn in Notulae Algarum 65: 1.
12.6.2018 ["12 Jun 2018"]

Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65: 1. 12.6.2018 ["12
Jun 2018"]

is validating? Navicula adminii D.Roberts & A.McMinn in Biblioth. Diatomol. 44: 27. 1999, nom. inval.?

1. Art. 8.2, Art. 9.5 Turland, N.J., Wiersema, |.H., Barrie, ER. & al., International Code of Nomenclature for algae, fungi,
and plants (Shenzhen Code) adopted by the Nineteenth International Botanical Congress Shenzhen, China, July
2017Regnum Vegetabile, 159, 2. Art. 9.4 McNeill, J., Barrie, ER., Buck, W.R. & al., International Code of Nomenclature
for algae, fungi, and plants (Melbourne Code) adopted by the Eighteenth International Botanical Congress Melbourne,
Australia, July 2011Regnum Vetetabile, 154: 208. 2012

For Navicula adminii like this

Navicula adminii D.Roberts & A.McMinn in Biblioth.
Diatomol. 44: 27. 1999

Navicula adminii D.Roberts & A.McMinn in Biblioth. Diatomol. 44: 27. 1999

is validated byl Navicula adminensis D.Roberts & A.McMinn ex D.Roberts & A.McMinn in Notulae Algarum 65: 1.
12.6.2018 ["12 Jun 2018"]

1. Art. 8.2, Art. 9.5 Turland, N.J., Wiersema, |.H., Barrie, ER. & al., International Code of Nomenclature for algae, fungi,
and plants (Shenzhen Code) adopted by the Nineteenth International Botanical Congress Shenzhen, China, July

2017Regnum Vegetabile, 159 *

In both cases the reason for the the necessity of validating the name Navicula adminii is made available via the footnote key which follows the label
of the relationship. This label is named "is validating" or "is validation for' depending on the side from which you are looking.

The article is not only linked to the validating name it is also linked to the validated name and explains why it has been validated.

| can't see a problem here.

#23 - 06/04/2019 05:26 PM - Andreas Kohlbecker

- Status changed from Feedback to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

we (Andreas & Henning) decided to move the footnote in front of the relationship label depending on direction of the relation currently shown.

In case of N. adminii the footnote should be placed BEFORE the relationship label.
#24 - 06/26/2019 01:59 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Andreas Kohlbecker wrote:

we (Andreas & Henning) decided to move the footnote in front of the relationship label depending on direction of the relation currently shown.

In case of N. adminii the footnote should be placed BEFORE the relationship label.

| discussed this suggestion again with Andreas Miller and came to the conclusion that the above suggestion would be confusing as it breaks the
commonly accepted convention that foonotes are coming after the text they are referring to. The implementation of will therefore stay as is is.

| suggest to close this issue now.

#25 - 07/17/2019 07:07 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 80 to 100
